commit:     1d90a9e8a4945474de9b2436a3936c551e40838a
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Thu Jul 31 14:43:42 2025 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Aug 13 23:13:21 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d90a9e8

gui-wm/hyprland: add 0.50.1

Signed-off-by: Julien Roy <julien <AT> jroy.ca>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 gui-wm/hyprland/Manifest               |   1 +
 gui-wm/hyprland/hyprland-0.50.1.ebuild | 104 +++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index a8e062a77b4b..7ba8e5a5c730 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -1,3 +1,4 @@
 DIST hyprland-0.46.2.gh.tar.gz 54425533 BLAKE2B 
9dd8522fedfe6179c48e978c2d31e9d55c1e752a950a92d1bf6379fcf50d3985bedbe7aecd92ab56ac2c5590a137a53057fbb0a06e603c98f12483127c728eb9
 SHA512 
2f81bd2826304e6bd6fdc9cde5a2749896e81f68119f9ba72825c5829198c4cdecfecf9c33abc782b08ca3e3cf8f4945185c428bc06270587d8c82d730f07540
 DIST hyprland-0.48.1.gh.tar.gz 54499599 BLAKE2B 
de73f33f80227444560a6e4b37f4f0dbab2c31b0475313d17266adbc392d7ffdfead81ad85fda2adc911aeae550167559e83b05ed57f41812e827e4831b35265
 SHA512 
de3118572a5788a385e05a36567a4ffc29466a2fab8d8f62ebab42ed928d4798ec06fcfda20e62a84b41776695f80dca30ab39a347ee8e4b90f03bd0d0022718
 DIST hyprland-0.49.0.gh.tar.gz 54522264 BLAKE2B 
51a2de1e5e7095be3202a05905270822e71a1a3ea6460c86ae09c40ca0566c122051fc533047beca84ce00df34fe31be785217322a05029d5769315d63d46ed7
 SHA512 
d80d937efb5b1e5b97e2bd89cb077cb2bc5de2d6baaa32611f595a0705f8edf39e0aa9398e0aa4f202f7407ec419c0f7a632d635853b107974429f59d153c23c
+DIST hyprland-0.50.1.gh.tar.gz 54239562 BLAKE2B 
f41434350e8aafecf7c7c1c4b7846b5ca6fbfd11f0c54cffa3773597ef0f0778e5153d597ba4b56a1028c22b37e1b5eacbea90a8432e22860f3be4127eb43a60
 SHA512 
f6388d71a2b8b8f7b22ea86e8865c3e78f64d206af8c95bf69a05e63f155f5f76781dfcd3ab02a6c4b4a4041115e4180c9a57814839c697df5f58e119c576555

diff --git a/gui-wm/hyprland/hyprland-0.50.1.ebuild 
b/gui-wm/hyprland/hyprland-0.50.1.ebuild
new file mode 100644
index 000000000000..e7be62f291c9
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.50.1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its 
looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland";
+
+if [[ "${PV}" = *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git";
+else
+       
SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz
 -> ${P}.gh.tar.gz"
+       S="${WORKDIR}/${PN}-source"
+
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="X +qtutils systemd"
+
+# hyprpm (hyprland plugin manager) requires the dependencies at runtime
+# so that it can clone, compile and install plugins.
+HYPRPM_RDEPEND="
+       app-alternatives/ninja
+       >=dev-build/cmake-3.30
+       dev-build/meson
+       dev-vcs/git
+       virtual/pkgconfig
+"
+RDEPEND="
+       ${HYPRPM_RDEPEND}
+       dev-cpp/tomlplusplus
+       dev-libs/glib:2
+       >=dev-libs/hyprlang-0.3.2
+       dev-libs/libinput:=
+       >=dev-libs/hyprgraphics-0.1.3:=
+       dev-libs/re2:=
+       >=dev-libs/udis86-1.7.2
+       >=dev-libs/wayland-1.22.90
+       >=gui-libs/aquamarine-0.9.0:=
+       >=gui-libs/hyprcursor-0.1.9
+       >=gui-libs/hyprutils-0.8.2:=
+       media-libs/libglvnd
+       media-libs/mesa
+       sys-apps/util-linux
+       x11-libs/cairo
+       x11-libs/libdrm
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman
+       x11-libs/libXcursor
+       qtutils? ( gui-libs/hyprland-qtutils )
+       X? (
+               x11-libs/libxcb:0=
+               x11-base/xwayland
+               x11-libs/xcb-util-errors
+               x11-libs/xcb-util-wm
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/glaze
+       >=dev-libs/hyprland-protocols-0.6.4
+       >=dev-libs/wayland-protocols-1.45
+"
+BDEPEND="
+       || ( >=sys-devel/gcc-15:* >=llvm-core/clang-19:* )
+       app-misc/jq
+       dev-build/cmake
+       >=dev-util/hyprwayland-scanner-0.4.5
+       virtual/pkgconfig
+"
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} == binary ]] && return
+
+       if tc-is-gcc && ver_test $(gcc-version) -lt 15 ; then
+               eerror "Hyprland requires >=sys-devel/gcc-15 to build"
+               eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
+               die "GCC version is too old to compile Hyprland!"
+       elif tc-is-clang && ver_test $(clang-version) -lt 19 ; then
+               eerror "Hyprland requires >=llvm-core/clang-19 to build"
+               eerror "Please upgrade Clang: emerge -v1 llvm-core/clang"
+               die "Clang version is too old to compile Hyprland!"
+       fi
+}
+
+src_prepare() {
+       # skip version.h
+       sed -i -e "s|scripts/generateVersion.sh|echo|g" meson.build || die
+       default
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature systemd)
+               $(meson_feature X xwayland)
+       )
+       meson_src_configure
+}

Reply via email to